<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100195";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
				////Arrastrando la Variable del Documento
				$NoDocSuEn=$_GET["txt_DocuKPD"] or $NoDocSuEn=$_POST["txt_DocuKPD"];
				$EtiMastEn=$_GET["txt_EtiMas"] or $EtiMastEn=$_POST["txt_EtiMas"];
				
				////Identificar los datos del Documento de Recibo
				$sqlIDR1 = mysql_query("select TIPO_SALIDA,TIPO_SURTIDO,DESTINO,EDO_DOCUMENTO,DISPONIBILIDAD from tabla_docsurtido where NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlIDR1)==0) echo "";
				else{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				}
				if (mysql_numrows($sqlIDR1)>0)
				{
				$TipSalIDR1=$registroIDR1["TIPO_SALIDA"];
				$TipSurIDR1=$registroIDR1["TIPO_SURTIDO"];
				$CveDesIDR1=$registroIDR1["DESTINO"];
				$EdoDIDR1=$registroIDR1["EDO_DOCUMENTO"];
				$VigeIDR1=$registroIDR1["DISPONIBILIDAD"];
				}
				
				////Identificar Si el documento digitado Existe
				$sqlIDR2 = mysql_query("select * from tabla_docsurtido where NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sqlIDR2)==0) 
				{
				echo "<script>alert('El Documento de Surtido Digitado no Existe.\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador del Documento Recibo
				
				////Identificar La caducidad de Documento
				if ($VigeIDR1<$Fecha)
				{
					echo "<script>alert('El Documento de Surtido Digitado ha Caducado.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de Caducidad Documento
				
				////Identificar el estado del Documento
				if ($EdoDIDR1<>"POR SURTIR" and $EdoDIDR1<>"SURTIENDOSE")
				{
					echo "<script>alert('El Estado del Documento de Surtido no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de Estado de Documento
					
				///Identificar Los Datos de la Etiqueta Master
				$sql_EM = mysql_query("select DOCU_ASOCIADO,ESTATUS from tabla_etimaster where NO_ETIQUETA='$EtiMastEn' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sql_EM)==0) echo "";
				else{
				$registro_EM=mysql_fetch_array($sql_EM);
				}
				if (mysql_numrows($sql_EM)>0)
				{
				$DocAso_EM=$registro_EM["DOCU_ASOCIADO"];
				$Estatu_EM=$registro_EM["ESTATUS"];
				}
					
				////Identificar Si la Etiqueta Master Existe
				$sql_EM2 = mysql_query("select DOCU_ASOCIADO,ESTATUS from tabla_etimaster where NO_ETIQUETA='$EtiMastEn' AND CVE_CUENTA='$CveCueCR1'");
				if (mysql_numrows($sql_EM2)==0) 
				{
					echo "<script>alert('La Etiqueta Master ingresada no existe para la cuenta en curso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador de Existencia de Etiqueta Master
				
				
				if ($Estatu_EM=="ASOCIADA")
				{
					echo "<script>alert('La Etiqueta Master ingresada ya se encuentra Asociada a otro proceso por lo cual no es posible utilizarla.\\n\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador de Etiqueta NO disponible (ASOCIADA)
					
				if ($Estatu_EM=="EN USO" and $DocAso_EM<>$NoDocSuEn)
				{
					echo "<script>alert('La Etiqueta Master ingresada se encuentra en uso para dentro de otro Documento de Surtido.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador de Etiqueta NO disponible (ASOCIADA)
				

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<script language='javascript' src="popcalendar.js"></script>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=400, width=600, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
	
<?PHP
///Arrastra variables operativas
$NoDocuSurPG = $_POST['txt_DocuKPD'] or $NoDocuSurPG=$_GET["txt_DocuKPD"];
$CantAuditPG = $_POST['txt_CantXAudi'] or $CantAuditPG=$_GET["txt_CantXAudi"];
$NumerLotePG = $_POST['txt_Lote'] or $NumerLotePG=$_GET["txt_Lote"];
$CodigoSkuPG = $_POST['txt_Sku'] or $CodigoSkuPG=$_GET["txt_Sku"];
$AuditoriaDefa="1";
					
	///Validar campos en blanco
	if ($NoDocuSurPG=="")
		{
			echo "<script>alert('ERROR INTERNO:\\nDocumento de surtido no migrado, favor de corroborarlo con el administrador del sistema.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{///Inicia If Campo en Blanco 1
	if ($CantAuditPG=="")
		{
			echo "<script>alert('Favor de digitar la cantidad de piezas Auditadas.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocuSurPG&txt_EtiMas=$EtiMastEn'>";
		}
		else
		{///Inicia If Campo en Blanco 2
	if ($CodigoSkuPG=="")
		{
			echo "<script>alert('Favor de escanear el Codigo Sku por Auditar.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocuSurPG&txt_EtiMas=$EtiMastEn'>";
		}
		else
		{///Inicia If Campo en Blanco 3
			
		///Identificar si el codigo SKU Escaneado se encuentra dado de Alta dentro del Sistema
		$sql_VSKU = mysql_query("select SKU from tabla_altaproducto where SKU='$CodigoSkuPG' AND CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql_VSKU)==0)
		{
			
			///Revisa si existe un codigo EAN/UPC Asociado al mismo
			$sql_VSKU2 = mysql_query("select SKU from tabla_alta_producto_upc where UPC='$CodigoSkuPG' AND CVE_CUENTA='$CveCueCR1'");
			if (mysql_numrows($sql_VSKU2)==0)
			{
				$ValidSkuCat = "NOEXISTE";
			}
			else
			{
			$registro_VSKU2=mysql_fetch_array($sql_VSKU2);
			}
			if (mysql_numrows($sql_VSKU2)>0)
			{
			$SkuFinal=$registro_VSKU2["SKU"];
			}
			
		}
		
		else
		{
		$registro_VSKU=mysql_fetch_array($sql_VSKU);
		}
		if (mysql_numrows($sql_VSKU)>0)
		{
		$SkuFinal=$registro_VSKU["SKU"];
		}


			
		if ($ValidSkuCat=="NOEXISTE")
		{
			echo "<script>alert('El código Sku/EAN escaneado no existe dentro del sistema.\\Favor de Corroborarlo'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocuSurPG&txt_EtiMas=$EtiMastEn'>";
		}
		else
		{///Inicia If Sku sin Existencia
			
			
		///Identificar si el codigo digitado pertenece al documento de Surtido en Curso por medio de su detalle
		///$sql = mysql_query("select SKU from tabla_detalledocsur where NO_DOCUMENTO='$NoDocuSurPG' and CVE_CUENTA='$CveCueCR1' and SKU='$SkuFinal' and LOTE='$NumerLotePG'");
		$sql = mysql_query("select SKU from tabla_detalledocsur where NO_DOCUMENTO='$NoDocuSurPG' and CVE_CUENTA='$CveCueCR1' and SKU='$SkuFinal' and (LOTE is null or LOTE='')");
		if (mysql_numrows($sql)==0) 
		{	
			echo "<script>alert('El Sku/Lote escaneado no pertenece al documento de surtido, por tal motivo no sera auditado.\\n\\nFavor de corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocuSurPG&txt_EtiMas=$EtiMastEn'>";
		}
		else
		{///Inicia If Sku relacionado a Surtido
			
		///Identificar el total de piezas Por Surtir dentro del Detalle de Surtido
			$sqlSUMA3 = "SELECT SUM(CANT_X_SURTIR) as ObtCant3 FROM tabla_detalledocsur WHERE NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' AND SKU='$SkuFinal'";
			$resSUMA3 = mysql_query($sqlSUMA3); 
			$PrePiezas3 = mysql_fetch_assoc($resSUMA3);
			$TotPiSuma3 =  $PrePiezas3 ['ObtCant3'];
			
		////Identificar el total de piezas Ya Surtidas dentro de las Tareas
			$sqlSUMA4 = "SELECT SUM(CANT_SURTIDA) as ObtCant4 FROM tabla_tareas WHERE NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' AND SKU='$SkuFinal'";
			$resSUMA4 = mysql_query($sqlSUMA4); 
			$PrePiezas4 = mysql_fetch_assoc($resSUMA4);
			$TotPiSuma4 =  $PrePiezas4 ['ObtCant4'];
			
		///Identificar si el total de piezas Auditadas YA SOBREPASO el total de piezas solicitadas para surtido
			if ($TotPiSuma3==$TotPiSuma4)
				{
					echo "<script>alert('Atención:\\n\\nLa cantidad por auditar dentro del código $SkuFinal no puede sobrepasar a la cantidad solicitada dentro del pedido.\\nFavor de corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocuSurPG&txt_EtiMas=$EtiMastEn'>";
				}
			else
				{///Inicia IF Valida cantidades Superiores
				

///***** Inicia Nuevo proceso de validación

///Identificar las piezas por tarea maximas a surtir
	$sql_ITS2 = mysql_query("select ID,CANT_XTAREA,CANT_SURTIDA from tabla_tareas where NO_DOCUMENTO='$NoDocuSurPG' AND SKU='$SkuFinal' AND (ESTADO_TAREA<>'EJECUTADA' AND ESTADO_TAREA<>'NO DISPONIBLE' AND ESTADO_TAREA<>'CANCELADA') Order By PRIORIDAD ASC");
	if (mysql_numrows($sql_ITS2)==0) echo "";
	else{
	$registro_ITS2=mysql_fetch_array($sql_ITS2);
	}
	if (mysql_numrows($sql_ITS2)>0)
	{
	$IdBaDa_ITS2=$registro_ITS2["ID"];
	$CaXTar_ITS2=$registro_ITS2["CANT_XTAREA"];
	$CanSur_ITS2=$registro_ITS2["CANT_SURTIDA"];
	}
				
///*************** Inicia Nuevo proceso, detectar el numero de piezas por por Set
		
	if ($CantAuditPG == "100000")
	{
		$sql_ICS = mysql_query("select PZASXCAJA from tabla_altaproducto where SKU='$SkuFinal' AND CUENTA='$CveCueCR1'");
		if (mysql_numrows($sql_ICS)==0) 
		{
			echo "<script>alert('ATENCIÓN!!!\\nEl código auditado no cuenta con un valor de armado dentro del set y/o display por lo cual se auditara como 1 pieza.'); </script>";
			$CantAuditPG = $CantAuditPG;
		}
		else
		{
		$registro_ICS=mysql_fetch_array($sql_ICS);
		}
		if (mysql_numrows($sql_ICS)>0)
		{
		$CantAuditPG=$registro_ICS["PZASXCAJA"];
		}
	}
	else
	{
		$CantAuditPG = $CantAuditPG;			
	}
				
				
///*************** Termina Nuevo proceso, detectar el numero de piezas por por Set				
				
	///Realizando la operacion para saber cuentas veces se va a auditar el mismo sku (Interviene el Check Multiple)
	$CantAuditF2=$AuditoriaDefa * $CantAuditPG;
	
	///Identificar la cantidad Global para la Tarea
	$CanFinTar2 = $CanSur_ITS2 + $CantAuditF2;
				
	///Validar Auditoria Masiva sin pasar de la tarea			
	if ($CanFinTar2 > $CaXTar_ITS2)
	{///Inicia IF Validacion de Cantidades Masivas 01
		echo "<script>alert('Atención:\\n\\nLa cantidad que deseas auditar dentro del código $SkuFinal sobrepasa la cantidad solicitada dentro de la tarea.\\nFavor de corroborarlo.\\n\\nCantidad Tarea: $CaXTar_ITS2\\nCantidad Surtida: $CanSur_ITS2\\nCantidad por Auditar: $CantAuditF2');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocuSurPG&txt_EtiMas=$EtiMastEn'>";
	}///Termina IF Validacion de Cantidades Masivas 01
	else
	{///Inicia ELSE Validacion de Cantidades Masivas 01
				
///***** Termina Nuevo proceso de validación		
			
			///Consultar la Descripción del Sku
				$sql_Des = mysql_query("select DESCRIPCION from tabla_altaproducto where SKU='$SkuFinal' AND CUENTA='$CveCueCR1'");
				if (mysql_numrows($sql_Des)==0) echo "";
				else{
				$registro_Des=mysql_fetch_array($sql_Des);
				}
				if (mysql_numrows($sql_Des)>0)
				{
				$Descrip_Des=$registro_Des["DESCRIPCION"];
				}
			
			///Hora y Fecha
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			///Realizando la operacion para saber cuentas veces se va a auditar el mismo sku (Interviene el Check Multiple)
			$CantAuditF=$AuditoriaDefa * $CantAuditPG;
			
			///Guarda el detalle del registro de la Auditoria
				$sql_GDA = "insert into tabla_auditoriaporsurtido (CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,SKU,LOTE,DESCRIPCION,CICLOS_AUDITORIA,CANTIDAD_AUDITADA,ETIQUETA_MASTER,FECHA,HORA,USUARIO)
        		values('$CveBodCR1','$CveCueCR1','$NoDocuSurPG','$SkuFinal','$NumerLotePG','$Descrip_Des','$AuditoriaDefa','$CantAuditF','$EtiMastEn','$Fecha','$HoraOK','$UsuEn')";
				$resultado_GDA=mysql_query($sql_GDA,$conexion) or die(mysql_error());
			
			///Guardar el registro del uso de la Etiqueta Master
			$sql_IR = mysql_query("select ID from tabla_etimaster where NO_ETIQUETA='$EtiMastEn' AND CVE_CUENTA='$CveCueCR1' AND ESTATUS='EN USO'");
			if (mysql_numrows($sql_IR)==0) 
			{
				$sql_MEM="UPDATE tabla_etimaster SET DOCU_ASOCIADO='$NoDocuSurPG',USUARIO_USO='$UsuEn',F_USO='$Fecha',H_USO='$HoraOK',ESTATUS='EN USO' WHERE NO_ETIQUETA='$EtiMastEn' AND CVE_CUENTA='$CveCueCR1'";
				$resultado_MEM=mysql_query($sql_MEM,$conexion) or die(mysql_error());
			}
			
			///Guardar el registro del Estatus del Documento de Surtido
			$sql_IR2 = mysql_query("select ID from tabla_docsurtido where NO_DOCUMENTO='$NoDocuSurPG' AND CVE_CUENTA='$CveCueCR1' AND EDO_DOCUMENTO='SURTIENDOSE'");
			if (mysql_numrows($sql_IR2)==0) 
			{
				$sql_MEM2="UPDATE tabla_docsurtido SET EDO_DOCUMENTO='SURTIENDOSE',USUARIO_SURTIDO='$UsuEn',FECHA_SURTIDO='$Fecha',HORA_SURTIDO='$HoraOK' WHERE NO_DOCUMENTO='$NoDocuSurPG' AND CVE_CUENTA='$CveCueCR1'";
				$resultado_MEM2=mysql_query($sql_MEM2,$conexion) or die(mysql_error());
			}
			
			///Identificar la Tarea Optima para realizar el Registro del Avance de Surtido
				$sql_ITS = mysql_query("select ID,NO_TAREA,NO_PALLET,CANT_SURTIDA from tabla_tareas where NO_DOCUMENTO='$NoDocuSurPG' AND SKU='$SkuFinal' AND (ESTADO_TAREA<>'EJECUTADA' AND ESTADO_TAREA<>'NO DISPONIBLE' AND ESTADO_TAREA<>'CANCELADA') Order By PRIORIDAD ASC");
				if (mysql_numrows($sql_ITS)==0) echo "";
				else{
				$registro_ITS=mysql_fetch_array($sql_ITS);
				}
				if (mysql_numrows($sql_ITS)>0)
				{
				$IdBaDa_ITS=$registro_ITS["ID"];
				$NoTare_ITS=$registro_ITS["NO_TAREA"];
				$NoPall_ITS=$registro_ITS["NO_PALLET"];
				$CanSur_ITS=$registro_ITS["CANT_SURTIDA"];
				}
			
			///Identificar la cantidad Global para la Tarea
				$CanFinTar = $CanSur_ITS + $CantAuditF;
			
			///Guardar el registro de la Pieza Auditada dentro de las Tareas - La incluye como pieza surtida dentro de la tarea de Surtido.
				$sql_MTa="UPDATE tabla_tareas SET CANT_SURTIDA='$CanFinTar',IDENTIFICADOR_SURTIDO='$NoDocuSurPG',ESTADO_TAREA='SURTIENDOSE',USUARIO_EJECUTO='$UsuEn',FECHA_EJECUTO='$Fecha',HORA_EJECUTO='$HoraOK',ETIQUETA_MASTER='NA' WHERE NO_DOCUMENTO='$NoDocuSurPG' AND SKU='$SkuFinal' AND ID='$IdBaDa_ITS' AND NO_PALLET='$NoPall_ITS'";
				$resultado_MTa=mysql_query($sql_MTa,$conexion) or die(mysql_error());
			
			///Identificar el total de piezas Por Surtir dentro de La Tarea de Surtido Seleccionada
				$sqlSUMA1 = "SELECT SUM(CANT_XTAREA) as ObtCant1 FROM tabla_tareas WHERE NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' AND SKU='$SkuFinal' AND NO_PALLET='$NoPall_ITS' AND ID='$IdBaDa_ITS' AND NO_TAREA='$NoTare_ITS'";
				$resSUMA1 = mysql_query($sqlSUMA1); 
				$PrePiezas1 = mysql_fetch_assoc($resSUMA1);
				$TotPiSuma1 =  $PrePiezas1 ['ObtCant1'];
			
			////Identificar el total de piezas a Surtir en el Documento
				$sqlSUMA2 = "SELECT SUM(CANT_SURTIDA) as ObtCant2 FROM tabla_tareas WHERE NO_DOCUMENTO='$NoDocSuEn' AND CVE_CUENTA='$CveCueCR1' AND SKU='$SkuFinal' AND NO_PALLET='$NoPall_ITS' AND ID='$IdBaDa_ITS' AND NO_TAREA='$NoTare_ITS'";
				$resSUMA2 = mysql_query($sqlSUMA2); 
				$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
				$TotPiSuma2 =  $PrePiezas2 ['ObtCant2'];
			
			///Cerrando la tarea de Surtido si se llega a la cantidad solicitada
				if ($TotPiSuma1==$TotPiSuma2)
				{
					$sql_MET="UPDATE tabla_tareas SET ESTADO_TAREA='EJECUTADA' WHERE NO_DOCUMENTO='$NoDocuSurPG' AND SKU='$SkuFinal' AND ID='$IdBaDa_ITS' AND NO_PALLET='$NoPall_ITS'";
					$resultado_MET=mysql_query($sql_MET,$conexion) or die(mysql_error());
				}
			
			///Redireccionando a la pantalla anterior
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido4.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocuSurPG&txt_EtiMas=$EtiMastEn'>";
		
		}///Termina ELSE Validacion de Cantidades Masivas 01
		
		}///Termina IF Valida cantidades Superiores
		
		}///Termina If Sku relacionado a Surtido
		}///Termina If Sku sin Existencia
		}///Termina If Campo en Blanco 3
		}///Termina If Campo en Blanco 2
		}///Termina If Campo en Blanco 1

?>	
<Br><Br><Br><Br>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<script> 
    function confirmDelete(link) { 
        if (confirm("¿Realmente deseas eliminar este Detalle del Documento?")) { 
            doAjax(link.href, "POST"); // doAjax needs to send the "confirm" field 
        } 
        return false; 
    } 
</script>

<?PHP
} //// Termina If Valiador de Existencia de Etiqueta Master
} //// Termina If Valiador de Etiqueta NO disponible (ASOCIADA)
} //// Termina If Valiador de Etiqueta NO disponible (ASOCIADA)						
}//// Termina If Valiador de Estado de Documento
}//// Termina If Valiador de Caducidad Documento
}//// Termina If Valiador del Documento Recibo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>